Bid

Bid is an (price) offer for an advertisement. Seller can enable or disable bids on their ads. Bids can have minimal bid and asking price. See bidding for the more detail.

Fields

field

type

constraints

default

Req

W

U

bidId

int

–

yes

no

no

amount

int

non negative

yes

yes

no

placeDate

ISO 8601 timestamp

–

no

no

no

bidder.id

int

–

yes

no

no

bidder.nickName

string

–

yes

yes

no

bidId

The bid id.

amount

The bid amount.

placeDate

The date the bid has been placed.

bidder.id

The bidder’s user id.

bidder.nickName

The nick name of the bidder.

Relations

name

availability

embedded

cardinality

mp:bidder

always

no

1

Reference

GET /v2/advertisements/{itemId}/bids/{bidId}

Returns specific bid on the advertisement.

DELETE /v2/advertisements/{itemId}/bids/{bidId}

Deletes the specific bid on the advertisement. The bid can be deleted either by the owner of the bid or the owner of the advertisement.

Errors

http

error code

description

404

bid-not-found

The bid doesn’t exist

403

unauthorized

The user is not authorized to delete the bid

Examples

Getting specific bid for an advertisement :

Request :

GET /v2/advertisements/m1/bids/2 HTTP/1.1
Host: api.marktplaats.nl

Response :

HTTP/1.1 200 OK
Content-Type: application/json

{
  "_links": {
    "self": {
      "href": "/v2/advertisements/m1/bids/2"
    },
    "mp:bidder": {
      "href": "/v2/users/7713"
    }
  },
  "id": 2,
  "amount": 1100,
  "bidder": {
    "id": 7713,
    "nickName": "Joe"
  }
}

Deleting a specific bid for an advertisement :

Request :

DELETE /v2/advertisements/m1/bids/4 HTTP/1.1
Host: api.marktplaats.nl

Response :

HTTP/1.1 200 OK